Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2005-08-25 09:57:02


On Aug 25, 2005, at 10:43 AM, Troy Benjegerdes wrote:

>> Look for RTLD_GLOBAL in opal/libltdl/ltdl.c. If it is not there openib
>> will not work if compiled as dynamic module. What version of libtool
>> are
>> you using? Older libtool haven't used RTLD_GLOBAL for opening
>> libraries.
>
> It's not there...
>
> troy_at_opteron1:~$ libtool --version
> ltmain.sh (GNU libtool) 1.5.6 (1.1220.2.95 2004/04/11 05:50:42)
> Debian: 224 $

Did you build from a tarball or from Subversion?

If you built from a tarball, it would have used the included LT 1.5.18.
  If you built from Subversion, then you really need to update your
Libtool to 1.5.18. :-)

-- 
{+} Jeff Squyres
{+} The Open MPI Project
{+} http://www.open-mpi.org/